<?php
/**
 * @package   Walkthechat\Walkthechat
 *
 * @author    WalktheChat <info@walkthechat.com>
 * @copyright 2019 Walkthechat
 *
 * @license   See LICENSE.txt for license details.
 */

namespace Walkthechat\Walkthechat\Service\Resource;

/**
 * Class AbstractResource
 *
 * @package Walkthechat\Walkthechat\Service\Resource
 */
abstract class AbstractResource
{
    /**
     * HTTP Method
     *
     * @var string
     */
    protected $type = '';

    /**
     * Path to resource
     *
     * @var string
     */
    protected $path = '';

    /**
     * Custom headers
     *
     * @var array
     */
    protected $headers = [];

    /**
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param string $type
     */
    public function setType($type)
    {
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getPath()
    {
        return $this->path;
    }

    /**
     * @param string $path
     */
    public function setPath($path)
    {
        $this->path = $path;
    }

    /**
     * @return array
     */
    public function getHeaders()
    {
        return $this->headers;
    }

    /**
     * @param array $headers
     */
    public function setHeaders($headers)
    {
        $this->headers = $headers;
    }
}
